Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.constructor
Class AbstractConstruct

    java.lang.Object
      org.yaml.snakeyaml.constructor.AbstractConstruct

All Implemented Interfaces:
  Construct

Direct Known Subclasses:
  CompactConstructor.ConstructCompactObject, Constructor.ConstructScalar, SafeConstructor.ConstructUndefined, SafeConstructor.ConstructYamlBinary, SafeConstructor.ConstructYamlBool, SafeConstructor.ConstructYamlFloat, SafeConstructor.ConstructYamlInt, SafeConstructor.ConstructYamlNull, SafeConstructor.ConstructYamlOmap, SafeConstructor.ConstructYamlPairs, SafeConstructor.ConstructYamlStr, SafeConstructor.ConstructYamlTimestamp

    public abstract class AbstractConstruct

extends Object
implements Construct

Because recursive structures are not very common we provide a way to save some typing when extending a constructor

Constructor Summary
`AbstractConstruct()`

Method Summary
`void` | `construct2ndStep(Node node, Object data)` Fail with a reminder to provide the seconds step for a recursive structure

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.yaml.snakeyaml.constructor.Construct
`construct`

Constructor Detail

### AbstractConstruct

    public AbstractConstruct()

Method Detail

### construct2ndStep

    public void construct2ndStep(Node node,
                                 Object data)

  Fail with a reminder to provide the seconds step for a recursive structure

  Specified by:
    `construct2ndStep` in interface `Construct`
  Parameters:
    `node` - composed Node
    `data` - the instance constructed earlier by `construct(Node node)` for the provided Node
  See Also:
    `Construct.construct2ndStep(org.yaml.snakeyaml.nodes.Node, java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.